%    This file is part of the psPack simulation package from the
%    doctoral dissertation "A DAE Formulation for Multi-Zone
%    Application to CVCP Engines" by Per Öberg. 
%    The dissertation is available at 
%    http://urn.kb.se/resolve?urn=urn:nbn:se:liu:diva-18120
%
%    Copyright (C) 2013  Per Öberg <per.oberg@liu.se>
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License along
%    with this program; if not, write to the Free Software Foundation, Inc.,
%    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

function [area]=psArea(theta);

% [area]=psArea(theta)
% Calculates the cylinder and piston area exposed to heat transfer
% for the crank angle theta. The cylinder liner area above the position
% when the piston is at TDC is neglected.

global psSimStruct

s= psSimStruct.psGeometry.a*cos(theta) + sqrt(psSimStruct.psGeometry.l^2 - (psSimStruct.psGeometry.a*sin(theta)).^2);
area=pi*psSimStruct.psGeometry.B^2/2+pi*psSimStruct.psGeometry.B*(psSimStruct.psGeometry.l+psSimStruct.psGeometry.a-s);
