%    This file is part of the psPack simulation package from the
%    doctoral dissertation "A DAE Formulation for Multi-Zone
%    Application to CVCP Engines" by Per Öberg. 
%    The dissertation is available at 
%    http://urn.kb.se/resolve?urn=urn:nbn:se:liu:diva-18120
%
%    Copyright (C) 2013  Per Öberg <per.oberg@liu.se>
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License along
%    with this program; if not, write to the Free Software Foundation, Inc.,
%    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Start psPack if not already started
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
psStartUp('startUp',0);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Load simulation, this overrides the gui
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
temp = load('closedCylSimulation.mat');
temp.psSimStruct.psSimPar.relTol = 1e-6;
temp.psSimStruct.psSimPar.minVFrac = 10*eps;
temp.psSimStruct.psSimPar.initBurnedVolFrac = 0*1e-12;
temp.psSimStruct.psSimPar = psCalcDepVars(temp.psSimStruct.psSimPar);
psStartUp('loadSimStruct',temp.psSimStruct);
psStartUp('updateControlStruct');
psStartUp('updateMainWindow');
% Recalculate initial parameters.  This will make sure that everything is
% consistanct in the simstruct and initialize for example therprop functions
% if necessary
psSimStruct = psCalcDepVars(psSimStruct);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Setup simulation parameters
%
% You always have to run
% psSimStruct.psModel = psCalcDepVars(psSimStruct.psModel);
% when you have changed something that other paramters depend upon
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Example
%psSimStruct.psModel.xx = 00;
psSimStruct.psModel = psCalcDepVars(psSimStruct.psModel);

% You may do the same to psVibe
% psSimStruct.psVibe....


sim('psModel')
psSimResult = psConvertSimOutput(psSimOut,psSimStruct);
psStartUp('updateMainWindow')

mkPlots
